### Constructor

# Gio Application new

#### Declaration

    GApplication*
    g_application_new (
      const gchar* application_id,
      GApplicationFlags flags
    )

#### Description

Creates a new `GApplication` instance.

If non-`NULL`, the application id must be valid. See g_application_id_is_valid().

If no application ID is given then some features of `GApplication` (most notably application uniqueness) will be disabled.

#### Parameters

`application_id`

  Type: `const gchar*`

  The application id.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GApplicationFlags`

  The application flags.

#### Return value

Type: `GApplication`

A new `GApplication` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.